Skip to main content
PUT
Update asset metadata

Authorizations

X-API-Key
string
header
required

API key authentication. Generate an API key from your account settings at https://platform.comfy.org/profile/api-keys. Pass the key in the X-API-Key header.

Path Parameters

id
string<uuid>
required

Asset ID

Body

application/json
name
string

New display name for the asset

tags
string[]

Updated tags for the asset

mime_type
string

Updated MIME type of the asset

preview_id
string<uuid>

Updated preview asset ID

user_metadata
object

Updated custom metadata

Response

Asset updated successfully

id
string<uuid>
required

Asset ID

updated_at
string<date-time>
required

Timestamp of the update

name
string

Updated name of the asset

asset_hash
string

Blake3 hash of the asset content

Pattern: ^blake3:[a-f0-9]{64}$
tags
string[]

Updated tags for the asset

mime_type
string

Updated MIME type of the asset

user_metadata
object

Updated custom metadata